/* generate empirical negative binomial distribution */
/* use to help decide what PHI to use for count data */
/* precision and power analysis                      */
data nb;
 seed=67730319;
 phi=0.4;
 mu=20;
 do i=1 to 10000;
  u=phi*rangam(seed,1/phi);
  c=ranpoi(seed,mu*u);
  output;
 end;
proc univariate;
 var u c;
 histogram;
run;
